Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
firmware::ImageStatus Struct Reference

Image upload/download status. More...

## Public Attributes
ImageState | state
| Image upload/download state.
string | error_message
| Error message; empty if there was no error.
time | time_started
| UNIX timestamp (UTC) of the last state change (if available)
int | size_total
| Total size of the image (if available)
int | size_done
| Progress of the running upload or download (if available)

## Detailed Description

Image upload/download status.

Definition at line 52 of file Firmware.idl.

## Member Data Documentation

## ◆ error_message

string firmware::ImageStatus::error_message

Error message; empty if there was no error.

Definition at line 54 of file Firmware.idl.

## ◆ size_done

int firmware::ImageStatus::size_done

Progress of the running upload or download (if available)

Definition at line 57 of file Firmware.idl.

## ◆ size_total

int firmware::ImageStatus::size_total

Total size of the image (if available)

Definition at line 56 of file Firmware.idl.

## ◆ state

ImageState firmware::ImageStatus::state

Image upload/download state.

Definition at line 53 of file Firmware.idl.

## ◆ time_started

time firmware::ImageStatus::time_started

UNIX timestamp (UTC) of the last state change (if available)

Definition at line 55 of file Firmware.idl.

The documentation for this struct was generated from the following file:

- Firmware.idl